config setup
    uniqueids=never 
    #charondebug="ike 2, knl 2, cfg 2, net 2, esp 2, dmn 2, mgr 2" 
conn %default
    left=%defaultroute           #服务器端标识,%any表示任意
    leftsubnet=0.0.0.0/0         #服务器端虚拟ip, 0.0.0.0/0表示通配.
    right=%any                   #客户端标识,%any表示任意
    	
conn L2TP-PSK-NAT
    rightsubnet=vhost:%priv
    also=L2TP-PSK-noNAT

conn L2TP-PSK-noNAT
    authby=secret
    #pfs=no
    #esp=3des-sha1-96           #安卓6以上，由于加密方式的改变无法连接
	esp=aes256-sha256_96,3des-sha1,aes256-sha1!
    auto=add
    keyingtries=3
    rekey=no
    ikelifetime=8h
    keylife=1h
    type=transport
    left=%defaultroute
    leftid=%any
    leftprotoport=17/1701
    right=%any
    rightprotoport=17/%any
    dpddelay=10
    dpdtimeout=25
    dpdaction=clear

